Bug 1924968 - Monitoring list page filter options are not translated
Summary: Monitoring list page filter options are not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-04 02:39 UTC by Andrew Pickering
Modified: 2021-07-27 22:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:40:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Monitoring list page filter options are translated (222.84 KB, image/png)
2021-05-10 03:11 UTC, Junqi Zhao
no flags Details
alert filter options (106.74 KB, image/png)
2021-05-10 08:02 UTC, hongyan li
no flags Details
alert rules (144.07 KB, image/png)
2021-05-10 08:03 UTC, hongyan li
no flags Details
the list filter options for the Alerts, Silences and Alerting rules pages now have i18n translations (190.42 KB, image/png)
2021-05-26 01:24 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8048 0 None open Bug 1924968: Monitoring: Add some missing translations 2021-02-21 14:13:23 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:41:22 UTC

Description Andrew Pickering 2021-02-04 02:39:46 UTC
The list filter options for the Alerts, Silences and Alerting rules pages do not have i18n translations.

Comment 5 Junqi Zhao 2021-05-10 03:09:36 UTC
tested with 4.8.0-0.nightly-2021-05-09-105430, login https://${console_route}/?pseudolocalization=true&lng=en
go to "Monitoring -> Alerting" (page now shows as "[Ṁṓṓṇḭḭţṓṓṛḭḭṇḡ] - > [ÀÀḽḛḛṛţḭḭṇḡ]), the list filter options for the Alerts, Silences and Alerting rules pages now have i18n translations, see from the picture.

Comment 6 Junqi Zhao 2021-05-10 03:11:09 UTC
Created attachment 1781488 [details]
Monitoring list page filter options are translated

Comment 7 hongyan li 2021-05-10 08:00:34 UTC
tested with 4.8.0-0.nightly-2021-05-09-105430
still filter options for the Alerts, Silences and Alerting rules pages do not have i18n translations.
See the English display in the attachment

Comment 8 hongyan li 2021-05-10 08:02:22 UTC
Created attachment 1781568 [details]
alert filter options

Comment 9 hongyan li 2021-05-10 08:03:03 UTC
Created attachment 1781569 [details]
alert rules

Comment 10 Andrew Pickering 2021-05-24 00:50:08 UTC
Translations have now merged.

Comment 12 Junqi Zhao 2021-05-26 01:23:40 UTC
tested with 4.8.0-0.nightly-2021-05-25-180327, the list filter options for the Alerts, Silences and Alerting rules pages now have i18n translations, see from the picture.

Comment 13 Junqi Zhao 2021-05-26 01:24:16 UTC
Created attachment 1787047 [details]
the list filter options for the Alerts, Silences and Alerting rules pages now have i18n translations

Comment 16 errata-xmlrpc 2021-07-27 22:40:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.